edu.northwestern.at.morphadorner.corpuslinguistics.spellingstandardizer

## Class SpellingStandardizerFactory

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.spellingstandardizer.SpellingStandardizerFactory

-     public class SpellingStandardizerFactory
      extends java.lang.Object

  SpellingStandardizer factory.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpellingStandardizerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SpellingStandardizer` | `newInitialSpellingStandardizer()` Get an initial spelling standardizer.
    `static SpellingStandardizer` | `newInitialSpellingStandardizer(UTF8Properties properties)` Get an initial spelling standardizer.
    `static SpellingStandardizer` | `newSpellingStandardizer()` Get a spelling standardizer.
    `static SpellingStandardizer` | `newSpellingStandardizer(java.lang.String className)` Get a spelling standardizer of a specified class name.
    `static SpellingStandardizer` | `newSpellingStandardizer(UTF8Properties properties)` Get a spelling standardizer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpellingStandardizerFactory

          public SpellingStandardizerFactory()

  - ### Method Detail

    - #### newSpellingStandardizer

          public static SpellingStandardizer newSpellingStandardizer()

      Get a spelling standardizer.
      Returns:
        The spelling standardizer.

    - #### newSpellingStandardizer

          public static SpellingStandardizer newSpellingStandardizer(UTF8Properties properties)

      Get a spelling standardizer.
      Parameters:
        `properties` - MorphAdorner properties.
      Returns:
        The spelling standardizer.

    - #### newInitialSpellingStandardizer

          public static SpellingStandardizer newInitialSpellingStandardizer()

      Get an initial spelling standardizer.
      Returns:
        The spelling standardizer.

    - #### newInitialSpellingStandardizer

          public static SpellingStandardizer newInitialSpellingStandardizer(UTF8Properties properties)

      Get an initial spelling standardizer.
      Parameters:
        `properties` - MorphAdorner properties.
      Returns:
        The spelling standardizer.

    - #### newSpellingStandardizer

          public static SpellingStandardizer newSpellingStandardizer(java.lang.String className)

      Get a spelling standardizer of a specified class name.
      Parameters:
        `className` - Class name for the spelling standardizer.
      Returns:
        The spelling standardizer.